Subject: Re: [IPTEL] Prefix attribute

From: Jonathan Rosenberg <[email-masked]>
Date: Sat, 13 Jul 2002 00:07:03 -0400

Manjunath S Bangalore wrote:

>>2) Do the address families in the Prefix attribute need to be
>> negotiated in
>>the Open exchange?
>>
> 
> 
> I guess you are refering to the different prefix attribute types -
> E.164,
> Decimal, and PentaDecimal?
> Each of these three prefix types has its own attribute type code. The
> prefix
> attribute types are
> currently not included in the OPEN message caps exchange.
> 
> Let me state the problem you mention, correct me if I am wrong. When a
> Gateway
> advertising routes
> using the Trunkgroup address family, for instance, is reporting all the
> three
> prefix attribute types, but the
> TRIP LS processing these gateway routes, has the capability for handling
> only
> the E.164 prefix type, it
> could run into trouble, when it receives Decimal and Pentadecimal
> Prefixes.
> 
> I see your point, maybe we need to introduce a PrefixCapability in the
> OPEN
> message caps. negotiation.
> Will write back on this issue after further thought.

I think its sufficient to just apply the existing Route type capability 
to this attribute as well. That is, if a gateway advertises a capability 
for e.164 and pentadecimal, that means it can support those address 
families, and also the corresponding two prefix attributes.

-Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.            72 Eagle Rock Avenue
Chief Scientist                         First Floor
dynamicsoft                             East Hanover, NJ 07936
[email-masked]                 FAX: (973) 952-5050
http://www.jdrosen.net                  PH:  (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
IPTEL mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/iptel